<?php

/*
        moneys3.php

        -- order=<order-id> pro konkrtn objednvku <order-id>
        or
        -- last-order=<order-id> pro objednvky novj ne <order-id>

        Changelog:
        - 2011-01-30 created
        
        Copyright 2011 berushka .::: <me@berushka.net>
        
        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2 of the License, or
        (at your option) any later version.
        
        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.
        
        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
        MA 02110-1301, USA.
*/

  // convert string to xml form
  function str($str)
  {
    return htmlspecialchars(strip_tags(html_entity_decode($str, ENT_QUOTES, 'UTF-8')));
  }
  
  require_once("./config.php");
  require_once(DIR_SYSTEM . 'startup.php');
  require_once(DIR_DATABASE . 'mysql.php');

  $password = isset($_GET['password']) ? $_GET['password'] : '';
  if ($password != 'hchkrdtn')
  {
    exit;
  }
  
  $order_id = isset($_GET['order']) ? $_GET['order'] : '';
  $last_order_id = isset($_GET['lastorder']) ? $_GET['lastorder'] : '';

  $config = new Config();
  $db = new DB(DB_DRIVER, DB_HOSTNAME, DB_USERNAME, DB_PASSWORD, DB_DATABASE);

  if ($order_id)
  {
    $query_orders = $db->query("SELECT * FROM " . DB_DATABASE . "." . DB_PREFIX . "order WHERE order_status_id > 0 AND order_id = " . $order_id . " ORDER BY order_id");
  }
  else if ($last_order_id)
  {
    $query_orders = $db->query("SELECT * FROM " . DB_DATABASE . "." . DB_PREFIX . "order WHERE order_status_id > 0 AND order_id > " . $last_order_id . " ORDER BY order_id");
  }
  else
  {
    exit;
  }

  header('Expires: ' . gmdate('D, d M Y H:i:s') . '  GMT');
  header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . '  GMT');
  header('Content-Type: application/xml');

  print("<?xml version=\"1.0\" encoding=\"utf-8\"?".">\r");

  $query_lang = $db->query("SELECT language_id, code FROM " . DB_DATABASE . "." . DB_PREFIX . "language WHERE code='cs'");
  $lang = $query_lang->row['language_id'];

  echo("<opencart>\r");
  echo("<orders>\r");

  foreach ($query_orders->rows as $order)
  {
    echo("<order>");
    echo("<order-id>" . $order['order_id'] . "</order-id>");
    echo("<store-name>" . $order['store_name'] . "</store-name>");
    echo("\r");

    echo("<customer-id>" . $order['customer_id'] . "</customer-id>");
    echo("<customer-group-id>" . $order['customer_group_id'] . "</customer-group-id>");
    echo("<firstname>" . str($order['firstname']) . "</firstname>");
    echo("<lastname>" . str($order['lastname']) . "</lastname>");
    echo("<telephone>" . $order['telephone'] . "</telephone>");
    echo("<email>" . $order['email'] . "</email>");
    echo("\r");

    echo("<shipping>");
    echo("<firstname>" . str($order['shipping_firstname']) . "</firstname>");
    echo("<lastname>" . str($order['shipping_lastname']) . "</lastname>");
    echo("<company>" . str($order['shipping_company']) . "</company>");
    echo("<address-1>" . str($order['shipping_address_1']) . "</address-1>");
    echo("<address-2>" . str($order['shipping_address_2']) . "</address-2>");
    echo("<city>" . str($order['shipping_city']) . "</city>");
    echo("<postcode>" . str($order['shipping_postcode']) . "</postcode>");
    echo("<country>" . str($order['shipping_country']) . "</country>");
    echo("<method>" . str($order['shipping_method']) . "</method>");
    echo("</shipping>");
    echo("\r");

    echo("<payment>");
    echo("<firstname>" . str($order['payment_firstname']) . "</firstname>");
    echo("<lastname>" . str($order['payment_lastname']) . "</lastname>");
    echo("<company>" . str($order['payment_company']) . "</company>");
    echo("<address-1>" . str($order['payment_address_1']) . "</address-1>");
    echo("<address-2>" . str($order['payment_address_2']) . "</address-2>");
    echo("<city>" . str($order['payment_city']) . "</city>");
    echo("<postcode>" . str($order['payment_postcode']) . "</postcode>");
    echo("<country>" . str($order['payment_country']) . "</country>");
    echo("<method>" . str($order['payment_method']) . "</method>");
    echo("</payment>");
    echo("\r");

    echo("<comment>" . str($order['comment']) . "</comment>");
    echo("<total>" . $order['total'] . "</total>");
    echo("<date-modified>" . $order['date_modified'] . "</date-modified>");
    echo("<date-added>" . $order['date_added'] . "</date-added>");
    echo("\r");

    $query_products = $db->query("SELECT op.name, op.model, op.price, op.total, op.tax, op.quantity, oo.name as oname, oo.value as ovalue, oo.price as oprice FROM " . DB_DATABASE . "." . DB_PREFIX . "order_product op LEFT JOIN " . DB_PREFIX . "order_option oo ON (op.order_product_id=oo.order_product_id) WHERE op.order_id = " . $order['order_id']);

    echo("<products>");
    echo("\r");
    foreach($query_products->rows as $product)
    {
      echo("<product>");
      echo("<name>" . str($product['name']) . "</name>");
      echo("<model>" . $product['model'] . "</model>");
      echo("<price>" . $product['price'] . "</price>");
      echo("<total>" . $product['total'] . "</total>");
      echo("<tax>" . $product['tax'] . "</tax>");
      echo("<quantity>" . $product['quantity'] . "</quantity>");
      echo("<option>");
      if (isset($product['oname']))
      {
        echo("<name>" . str($product['oname']) . "</name>");
      }
      if (isset($product['ovalue']))
      {
        echo("<value>" . str($product['ovalue']) . "</value>");
      }
      if (isset($product['oprice']))
      {
        echo("<price>" . $product['oprice'] . "</price>");
      }
      echo("</option>");
      echo("</product>");
      echo("\r");
    }
    echo("</products>");
    echo("</order>\r");
  }
  echo("</orders>\r");
  echo("</opencart>\r");
?>
